<template>
  <nav>
    <router-link :to="{ name: 'home' }">
      <HomeIcon />
    </router-link>
  </nav>
</template>

<script>
import HomeIcon from 'vue-material-design-icons/Home.vue'
export default {
  name: 'Navigation',
  components: {
    HomeIcon
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

nav {
  font-size: 24px;
  position: absolute;
  z-index: 1000;

  top: 10px;
  right: 10px;
  width: auto;
  height: auto;

  display: flex;
}

nav a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2.2em;
  height: 2.2em;
  text-decoration: none;
  color: #000;
  background-color: white;
  border-radius: 50%;
  box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  transition: 0.25s;
}

nav a:hover {
  background-color: #dddddd;
}
</style>
